> ## Documentation Index
> Fetch the complete documentation index at: https://docs.linquid.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Workspace and Link Webhooks

> Webhook configuration APIs for workspace-level and per-link webhook subscriptions

# Workspace and Link Webhooks

Linquid supports two direct webhook management surfaces: workspace-level webhooks and per-link webhooks.

## Workspace webhook manager (`/webhooks-manage`)

* `GET /api/webhooks-manage`
* `POST /api/webhooks-manage`
* `GET /api/webhooks-manage/:id`
* `PATCH /api/webhooks-manage/:id`
* `DELETE /api/webhooks-manage/:id`
* `POST /api/webhooks-manage/:id/test`
* `POST /api/webhooks-manage/:id/enable`
* `GET /api/webhooks-manage/:id/deliveries`

## Link webhook manager (`/links/:linkId/webhooks`)

* `GET /api/links/:linkId/webhooks`
* `POST /api/links/:linkId/webhooks`
* `GET /api/links/:linkId/webhooks/:webhookId`
* `PATCH /api/links/:linkId/webhooks/:webhookId`
* `DELETE /api/links/:linkId/webhooks/:webhookId`
* `GET /api/links/:linkId/webhooks/:webhookId/deliveries`
* `GET /api/links/:linkId/webhooks/:webhookId/deliveries/:deliveryId`
* `POST /api/links/:linkId/webhooks/:webhookId/test`
* `POST /api/links/:linkId/webhooks/:webhookId/redeliver/:deliveryId`
* `POST /api/links/:linkId/webhooks/:webhookId/rotate-secret`

## Event model

Common link webhook events include:

* `click`
* `conversion`
* `qr_scan`

Workspace-level webhook triggers are configured from the webhook payload trigger list.

See full trigger catalog:

* `/api-reference/webhooks/event-types`

## Permissions and limits

* Workspace webhooks: links permission family (`links:read/create/update/delete`) with webhook feature/limit checks on create.
* Link webhooks: link ownership validation + `links:*` permissions.

## Secrets and signing

* Secrets are generated on create.
* Secrets are masked in most read responses.
* Rotation endpoints issue new secrets for future signatures.
